Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ExceptionMappingConfig.Builder

    java.lang.Object
      com.opensymphony.xwork2.config.entities.ExceptionMappingConfig.Builder

Enclosing class:
  ExceptionMappingConfig

    public static class ExceptionMappingConfig.Builder

extends Object

The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

Field Summary
`protected ExceptionMappingConfig` | `target`

Constructor Summary
`ExceptionMappingConfig.Builder(ExceptionMappingConfig toClone)`
`ExceptionMappingConfig.Builder(String name, String exceptionClassName, String result)`

Method Summary
`ExceptionMappingConfig.Builder` | `addParam(String name, String value)`
`ExceptionMappingConfig.Builder` | `addParams(Map<String,String> params)`
`ExceptionMappingConfig` | `build()`
`protected void` | `embalmTarget()`
`ExceptionMappingConfig.Builder` | `exceptionClassName(String name)`
`ExceptionMappingConfig.Builder` | `location(Location loc)`
`ExceptionMappingConfig.Builder` | `name(String name)`
`ExceptionMappingConfig.Builder` | `result(String result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected ExceptionMappingConfig target

Constructor Detail

### ExceptionMappingConfig.Builder

    public ExceptionMappingConfig.Builder(ExceptionMappingConfig toClone)

### ExceptionMappingConfig.Builder

    public ExceptionMappingConfig.Builder(String name,
                                          String exceptionClassName,
                                          String result)

Method Detail

### name

    public ExceptionMappingConfig.Builder name(String name)

### exceptionClassName

    public ExceptionMappingConfig.Builder exceptionClassName(String name)

### result

    public ExceptionMappingConfig.Builder result(String result)

### addParam

    public ExceptionMappingConfig.Builder addParam(String name,
                                                   String value)

### addParams

    public ExceptionMappingConfig.Builder addParams(Map<String,String> params)

### location

    public ExceptionMappingConfig.Builder location(Location loc)

### build

    public ExceptionMappingConfig build()

### embalmTarget

    protected void embalmTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.